XScreenSaver(1)

NAME
glcells - growing cells graphics hack

SYNOPSIS
glcells [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-delay num] [-pause num] [-maxcells num] [-radius num] [-seeds num] [-quality num] [-minfood num] [-maxfood num] [-divideage num] [-mindist num] [-keepold] [-wireframe] [-fps]

DESCRIPTION
The glcells program draws cells that divide exponentially, eat and eventually die.

OPTIONS
glcells accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-pause num
    Specifies the pause at the end of the animation (all cells dead or maximum amount of cells reached). Unit is in frames, default 20.

-maxcells num
    Specifies the maximum number of cells on screen (dead cells also count, even if invisible). Default is 800.

-radius num
    Specifies the radius of the cells. Default is 40.

-seeds num
    Specifies the number of cells when animation starts. Default is 1.

-quality num
    Specifies subdivision quality of the spheres used to draw the cells [0...5]. Default is 3.

-minfood num
    Food is ditributed randomly on the screen (Yes, the cells need to eat). This parameter specifies the minimum amount of food per pixel. Default is 5.

-maxfood num
    Food is ditributed randomly on the screen (Yes, the cells need to eat). This parameter specifies the maximum amount of food per pixel. Default is 20.

-divideage num
    Specifies the minimum age in frames a cell needs to have before beeing able to divide. Default is 20

-mindist num
    Specifies the minimum distance between cells. Default 1.4

-delay num
    How long to pause between frames. Default is 20000, or 0.02 second.

-fps
    Display the current frame rate, CPU load, and polygon count.

-wireframe
    Draw wireframe only.

-keepold
    Dead cells stay on screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1) xscreensaver-demo(1),

COPYRIGHT
Copyright © 2007 by Matthias Toussaint. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Matthias Toussaint <glcells@mtoussaint.de>, 17-Jun-2007, http://www.mtoussaint.de/bits.html.